Name:		ripgrep
Version:	0.6.0
Release:	1%{?dist}
Summary:	Combines the usability of The Silver Searcher with the raw speed of grep
License:	MIT or Unlicense
URL:		https://github.com/BurntSushi/ripgrep/
Source0:	https://github.com/BurntSushi/%{name}/archive/%{version}.tar.gz

BuildRequires:  cargo

%description
ripgrep is a line oriented search tool that combines the usability of
The Silver Searcher (similar to ack) with the raw speed of GNU grep.
ripgrep works by recursively searching your current directory for a
regex pattern.

%prep
%autosetup

%build
cargo build --release

%install
mkdir -p %{buildroot}%{_bindir}/
cp -p target/release/rg %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_mandir}/man1/
cp -p doc/rg.1 %{buildroot}%{_mandir}/man1/

%files
%license COPYING LICENSE-MIT UNLICENSE
%doc CHANGELOG.md README.md
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Oct 17 2017 Steven Stallion <sstallion@gmail.com> 0.6.0-1
- Initial revision
